Appearance
DID Parameters: service and relativeRef
A request for a DID URL with these parameters will select one or more service(s) from the DID document and then construct a service endpoint URL using a relative URI reference:
did:web:danubetech.com?service=github&relativeRef=did-method-dns
bash
curl -X GET "https://api.godiddy.com/1.0.0/universal-resolver/identifiers/did:web:danubetech.com?service=github&relativeRef=did-method-dns" \
-H "Authorization: Bearer b082c420-df67-4b06-899c-b7c51d75fba0" \
-H "Accept: text/uri-list"1
2
3
2
3
Note that the service and relativeRef parameters are supported for all DID methods, and the format and meaning of their values are independent of the DID method.
TIP
See DID URL in action:
The Power of DIDs #5: A Deep Dive into Service Endpoints and Digital Product Passports.
TIP
See the DID Core specification for additional information about these parameters.